Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class AbstractReportTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.diagnostics.AbstractReportTask

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

Direct Known Subclasses:
  DependencyReportTask, PropertyReportTask, TaskReportTask

    public abstract class AbstractReportTask

extends org.gradle.api.internal.ConventionTask

The base class for all project report tasks.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`protected` | `AbstractReportTask()`

Method Summary
`void` | `generate()`
`protected abstract void` | `generate(Project project)`
`File` | `getOutputFile()` Returns the file which the report will be written to.
`Set<Project>` | `getProjects()`
`protected abstract ProjectReportRenderer` | `getRenderer()`
`void` | `setOutputFile(File outputFile)` Sets the file which the report will be written to.
`void` | `setProjects(Set<Project> projects)`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.gradle.api.Task
`captureStandardOutput, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, getActions, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getGroup, getInputs, getLogger, getLogging, getName, getOutputs, getPath, getProject, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setEnabled, setGroup, setOnlyIf, setOnlyIf, setProperty`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### AbstractReportTask

    protected AbstractReportTask()

Method Detail

### generate

    public void generate()

### getRenderer

    protected abstract ProjectReportRenderer getRenderer()

### generate

    protected abstract void generate(Project project)
                              throws IOException

  Throws:
    `IOException`

### getOutputFile

    public File getOutputFile()

  Returns the file which the report will be written to. When set to null, the report is written to stdout.

  Returns:
    The output file. May be null.

### setOutputFile

    public void setOutputFile(File outputFile)

  Sets the file which the report will be written to. Set this to null to write the report to stdout.

  Parameters:
    `outputFile` - The output file. May be null.

### getProjects

    public Set<Project> getProjects()

### setProjects

    public void setProjects(Set<Project> projects)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD